# TdApi.InputInlineQueryResultAnimation (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultAnimation

Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultAnimation

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultAnimation
    extends TdApi.InputInlineQueryResult

Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `id` | Unique identifier of the query result.
`TdApi.InputMessageContent` | `inputMessageContent` | The content of the message to be sent.
`TdApi.ReplyMarkup` | `replyMarkup` | The message reply markup; pass null if none.
`String` | `thumbnailMimeType` | MIME type of the video thumbnail.
`String` | `thumbnailUrl` | URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.
`String` | `title` | Title of the query result.
`int` | `videoDuration` | Duration of the video, in seconds.
`int` | `videoHeight` | Height of the video.
`String` | `videoMimeType` | MIME type of the video file.
`String` | `videoUrl` | The URL of the video file (file size must not exceed 1MB).
`int` | `videoWidth` | Width of the video.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputInlineQueryResultAnimation()` | Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.
`InputInlineQueryResultAnimation​(DataInput input)` |
`InputInlineQueryResultAnimation​(String id, String title, String thumbnailUrl, String thumbnailMimeType, String videoUrl, String videoMimeType, int videoDuration, int videoWidth, int videoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` | Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### title

public String title
Title of the query result.

### thumbnailUrl

public String thumbnailUrl
URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.

### thumbnailMimeType

public String thumbnailMimeType
MIME type of the video thumbnail. If non-empty, must be one of "image/jpeg", "image/gif" and "video/mp4".

### videoUrl

public String videoUrl
The URL of the video file (file size must not exceed 1MB).

### videoMimeType

public String videoMimeType
MIME type of the video file. Must be one of "image/gif" and "video/mp4".

### videoDuration

public int videoDuration
Duration of the video, in seconds.

### videoWidth

public int videoWidth
Width of the video.

### videoHeight

public int videoHeight
Height of the video.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageAnimation, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation()
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation​(String id, String title, String thumbnailUrl, String thumbnailMimeType, String videoUrl, String videoMimeType, int videoDuration, int videoWidth, int videoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

Parameters:
  `id` - String Unique identifier of the query result.
  `title` - String Title of the query result.
  `thumbnailUrl` - String URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.
  `thumbnailMimeType` - String MIME type of the video thumbnail. If non-empty, must be one of "image/jpeg", "image/gif" and "video/mp4".
  `videoUrl` - String The URL of the video file (file size must not exceed 1MB).
  `videoMimeType` - String MIME type of the video file. Must be one of "image/gif" and "video/mp4".
  `videoDuration` - int Duration of the video, in seconds.
  `videoWidth` - int Width of the video.
  `videoHeight` - int Height of the video.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - InputMessageContent The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageAnimation, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`